PROC FORMAT ;
	VALUE $pays
		"0" = "Made in Reste du monde" "1" = "Made in USA"
	;
RUN ;
ODS OUTPUT list = work.frequences ;
PROC FREQ DATA = livre.voitures (WHERE=(constructeur IN:("A","B","C"))) ;
	TABLE americaine*constructeur / LIST ;
	FORMAT americaine $pays. ;
RUN ;
DATA work.frequences ;
	SET work.frequences ;
	BY americaine ;
	LENGTH categ $ 25 ;
	IF FIRST.americaine THEN DO ;
		categ = F_americaine ;
		freq = . ;
		OUTPUT ;
	END ;
	categ = "   "!!F_constructeur ;
	freq = frequency ;
	OUTPUT ;
RUN ;
PROC TABULATE DATA = work.frequences ORDER=DATA ;
	CLASS categ ;
	CLASSLEV categ / STYLE=[ASIS=ON] ;
	VAR freq ;
	TABLE categ="", freq=""*SUM="Nb de modles"*FORMAT=5. / MISSTEXT=" " ;
RUN ;
