PROC REPORT DATA = livre.voitures NOWD ;
  COLUMNS type conso_ville ecart N pct ;
  DEFINE type / GROUP ;
  DEFINE conso_ville / ANALYSIS MEAN FORMAT=8.1 ;
  DEFINE ecart / COMPUTED FORMAT=8.2 "Ecart  la moyenne gnrale" ;
  DEFINE N / "Effectifs" ;
  DEFINE pct / COMPUTED FORMAT=PERCENT12. " ";
  COMPUTE BEFORE ;
    nTotal = n ;
    moyGen = conso_ville.mean ;
  ENDCOMP ;
  COMPUTE ecart ;
    ecart = conso_ville.mean - moyGen ;
  ENDCOMP ;
  COMPUTE pct ;
    pct = n / nTotal ;
  ENDCOMP ;
  RBREAK AFTER / SUMMARIZE ;
RUN ;
