PROC FORMAT ;
 VALUE ventes
   LOW  -  500 = "GRAY70" 
   500 <- 1000 = "GRAYA0" 
  1000 <- HIGH = "GRAYD0" 
 ;
RUN ;
PROC REPORT DATA = livre.voitures NOWD ;
 COLUMNS constructeur modele prix_max passagers ventes ;
 DEFINE constructeur / DISPLAY ;
 DEFINE modele / DISPLAY ;
 DEFINE prix_max / DISPLAY FORMAT=NLNUM12. ;
 DEFINE passagers / DISPLAY ;
 DEFINE ventes / DISPLAY FORMAT=NLNUM12. 
                 STYLE(COLUMN)=[BACKGROUND=ventes.]; 
RUN ;
