OPTION NODATE NONUMBER NOCENTER ;
TITLE ;
PROC TEMPLATE ;
  DEFINE STYLE styles.dunod ;
    PARENT = styles.journal ;
	REPLACE color_list /
		"gris" = "GRAYA0"
		"grisFonc" = "GRAY50"
	;
    REPLACE FONTS /
        "SASTitleFont" = ("Century, Tahoma",12pt,Bold)
        "TitleFont2" = ("Century, Tahoma",12pt,Bold)
        "TitleFont" = ("Century, Tahoma",12pt,Bold)
        "StrongFont" = ("Century, Tahoma",10pt,Bold)
        "EmphasisFont" = ("Century, Tahoma",10pt,Bold Italic)
        "FixedEmphasisFont" = ("Courier New",8PT,Bold Italic)
        "FixedStrongFont" = ("Courier New",8PT,Bold)
        "FixedHeadingFont" = ("Courier New",10PT,Bold)
        "FixedFont" = ("Courier New",8PT)
        "headingEmphasisFont" = ("Century, Tahoma",10pt,Bold Italic)
        "headingFont" = ("Century, Tahoma",10pt,Bold)
        "docFont" = ("Century, Tahoma",10pt)
    ;
	STYLE table FROM table /
		RULES = GROUPS
		BORDERWIDTH = 0.1MM
		BORDERCOLOR = color_list("grisFonc")
		FRAME = BOX
	;
	STYLE header FROM header /
		BACKGROUND = color_list("gris")
	;
  END ;
RUN ;
ODS PDF FILE = "c:\temp\style.pdf" STYLE = dunod NOTOC ;
PROC MEANS DATA = livre.voitures MEAN MEDIAN MAXDEC=1 ;
	VAR conso_ville ;
	CLASS type ;
RUN ;
ODS PDF CLOSE ;
