ODS PDF FILE = "c:\temp\navigation print et tabulate.pdf" ;
ODS PROCLABEL = "Reporting avec SAS - Dunod" ;
TITLE ;
PROC PRINT DATA = livre.voitures CONTENTS = "La liste des voitures" NOOBS LABEL ;
	VAR constructeur modele type prix_med conso_ville conso_auto ;
RUN ;
ODS PROCLABEL = " " ;
PROC TABULATE DATA = livre.voitures CONTENTS = "Consommation en ville" ;
	CLASS type transmission ;
	VAR conso_ville ;
	TABLE type="",
		  conso_ville="Conso moyenne"*MEAN=""*F=NUMX7.1 / 
		  	BOX="Type de carrosserie"
			CONTENTS = "par type de carrosserie" ;
	TABLE transmission="",
		  conso_ville="Conso moyenne"*MEAN=""*F=NUMX7.1 / 
		  	BOX="Type de transmission"
			CONTENTS = "par type de transmission" ;
RUN ;
ODS PDF CLOSE ;
