PROC FORMAT ;
	VALUE $marques (MULTILABEL)
"Acura","Honda","Hyundai","Infiniti","Lexus","Mazda","Mitsubishi","Nissan","Subaru","Suzuki","Toyota" = "Japonaises"

"Audi","BMW","Mercedes-Benz","Saab","Volkswagen","Volvo"="Europennes"

"Buick","Cadillac","Chevrolet","Chrylser","Chrysler","Dodge","Eagle","Ford",
"Geo","Lincoln","Mercury","Oldsmobile","Plymouth","Pontiac","Saturn" = "Amricaines"

"Acura","Honda","Hyundai","Infiniti","Lexus","Mazda","Mitsubishi","Nissan","Subaru","Suzuki","Toyota",
"Audi","BMW","Mercedes-Benz","Saab","Volkswagen","Volvo" = "--- Ensemble hors USA"

	;
	VALUE puissance (MULTILABEL)
		   0-<100 = "< 100 CV"
		 100-<150 = "100-150 CV"
		 150-<200 = "150-200 CV"
		 100-<200 = "100-200 CV"
		 200-HIGH = "> 200 CV"
		 LOW-<200 = "< 200 CV"
	;
RUN ;
ODS HTML FILE = "c:\temp\multilabel.htm" STYLE = journal ;
PROC MEANS DATA = livre.voitures MEAN MAXDEC=2 ;
	VAR conso_ville ;
	CLASS constructeur puissance / MLF ;
	FORMAT constructeur $marques. puissance puissance. ;
	WAYS 1 ;
RUN ;
ODS HTML CLOSE ;
