ODS OUTPUT pearsonCorr = work.correlations ;
PROC CORR DATA = livre.voitures ;
	VAR prix_max ;
	WITH regime_puiss plein braquage ;
RUN ;
PROC FORMAT ;
	VALUE prob
		0.15 - HIGH = "Non significatif"
		OTHER = [pvalue12.5]
	;
RUN ;
ODS PDF FILE = "c:\temp\formats imbriqus.pdf" ;
TITLE1 "Corrlations avec le prix maximum du modle" ;
PROC PRINT DATA = work.correlations NOOBS LABEL ;
	FORMAT pprix_max prob. ;
RUN ;
TITLE ;
ODS PDF CLOSE ;
