PROC FORMAT ;
	VALUE $trans
		"propulsion" = "<IMG SRC='prop.jpg'>propulsion"
		"traction" = "<IMG SRC='traction.jpg'>traction"
		"4x4" = "<IMG SRC='4x4.jpg'>4 x 4"
	;
RUN ;
ODS HTML FILE = "c:\temp\insertion HTML.htm" 
		STYLE = JOURNAL ;
TITLE1 "<MARQUEE DIRECTION=RIGHT WIDTH='30%'>Statistiques sur la consommation</MARQUEE>" ;
PROC TABULATE DATA = livre.voitures F=NUMX12.2 ;
	VAR conso_: ;
	CLASS transmission ;
	CLASSLEV transmission / STYLE = [PROTECTSPECIALCHARS=OFF] ;
	FORMAT transmission $trans. ;
	TABLE transmission="",
		  (conso_ville conso_auto)*MEAN="" ;
RUN ;
TITLE ;
ODS HTML CLOSE ;
