PROC FORMAT ;
	VALUE couleursPuissance
		LOW -100  = "GREEN"
		100<-200  = "ORANGE"
		200<-HIGH = "RED"
	;
RUN ;
ODS PDF FILE="c:\temp\modles.pdf" NOTOC STYLE=JOURNAL ;
PROC PRINT DATA=livre.voitures NOOBS LABEL ;
    VAR constructeur modele / STYLE(DATA)=[FONT_SIZE=14PT] ;
    VAR puissance / STYLE(DATA)=[BACKGROUND=couleursPuissance.] ;
    VAR prix_min prix_max ;
RUN ;
ODS PDF CLOSE ;
