PROC REPORT DATA = livre.voitures NOWD ;
  COLUMNS type puissance puissance=et ic ;
  DEFINE type / GROUP ;
  DEFINE puissance/ ANALYSIS MEAN FORMAT=5.1 ;
  DEFINE et / ANALYSIS STDERR NOPRINT ;
  DEFINE ic / COMPUTED "Intervalle de confiance  95% pour la moyenne" ;
  COMPUTE ic / CHARACTER LENGTH=15 ;
    ic = CAT("[",
             PUT(puissance.mean-et*PROBIT(.975), 5.1),
             " ; ",
             PUT(puissance.mean+et*PROBIT(.975), 5.1),
             "]") ;
  ENDCOMP ;
RUN ;
