PROC REPORT DATA = livre.voitures NOWD ;
	COLUMNS type puissance transmission,(n pct) total ;
	DEFINE type / GROUP ;
	DEFINE puissance / ANALYSIS N NOPRINT ;
	DEFINE transmission / ACROSS ;
	DEFINE pct / COMPUTED FORMAT = PERCENT12.1 ;
	DEFINE total / COMPUTED FORMAT = PERCENT12.1 ;
	COMPUTE BEFORE type ;
		nType = puissance.n ;
	ENDCOMP ;
	COMPUTE pct ;
		_C4_ = COALESCE(_C3_/nType,0) ;
		_C6_ = COALESCE(_C5_/nType,0) ;
		_C8_ = COALESCE(_C7_/nType,0) ;
	ENDCOMP ;
	COMPUTE total ;
		total = 1 ;
	ENDCOMP ;
RUN ;
