PROC SQL ;
  CREATE TABLE work.stats AS
    SELECT puissance,
           SUM(ventes) AS Tventes,
           MEAN(poids*1000) AS Mpoids
    FROM livre.voitures 
    GROUP BY puissance ;
QUIT ;
DATA work.stats ;
  SET work.stats ;
  serie = "Ventes totales  " ;
  ventes = Tventes ;
  OUTPUT ;
  serie = "Poids moyen (kg)" ;
  poids = Mpoids ;
  OUTPUT ;
RUN ;	
SYMBOL1 i = join w = 2 ;
SYMBOL2 i = join w = 2 ;
LEGEND1 LABEL=NONE DOWN=2 POSITION=(INSIDE TOP LEFT) FRAME ;
PROC GPLOT DATA = work.stats ;
	PLOT ventes * puissance = serie / LEGEND=legend1 ;
	PLOT2 poids * puissance = serie / LEGEND=legend1 ;
RUN ; QUIT ;
